<ul class="breadcrumbs">
  <li>
    <a [routerLink]="['/']">Home</a>
  </li>
  <li>
      <a [routerLink]="['/user']">Users</a>
  </li>
  <li>Modifier un utilisateur</li>
</ul>
<div class="spinner" *ngIf="!isLoaded"></div>
<div id="container" *ngIf="isLoaded">
  <div class="my-card">
    <div class="my-card-header">
      <h1 class="my-card-title">Nouveau Utilisateur</h1>
    </div>
    <form [formGroup]="userForm">
      <fieldset>
        <div class="fields">
          <div class="form-group row">
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Email :
              </div>
              <div class="col-sm-8">
                <input type="text" formControlName="email" name="email" placeholder="Email">
                <ul class="myError" *ngIf="userForm.get('email').errors && (userForm.controls.email.dirty || userForm.controls.email.touched)">
                  <li *ngIf="userForm.get('email').errors['required']">
                    <p class="myError">L'email est requis</p>
                  </li>
                  <li *ngIf="userForm.get('email').errors['email']">
                    <p class="myError">Email invalide</p>
                  </li>
                  <li *ngIf="userForm.get('email').errors['maxlength']">
                    <p class="myError">L'email doit avoir au plus 150 caractères
                      <p>
                  </li>
                </ul>
              </div>
            </div>
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Mot de passe :
              </div>
              <div class="col-sm-8">
                <input type="text" formControlName="password" name="password" placeholder="mot de passe">
                <ul class="myError" *ngIf="userForm.get('password').errors && (userForm.controls.password.dirty || userForm.controls.password.touched)">
                  <li *ngIf="userForm.get('password').errors['required']">
                    <p class="myError">Mot de passe requis</p>
                  </li>
                  <li *ngIf="userForm.get('password').errors['minlength']">
                    <p class="myError">Le mot de passe doit avoir au moins 6 caractères
                      <p>
                  </li>
                  <li *ngIf="userForm.get('password').errors['maxlength']">
                    <p class="myError">Le mot de passe doit avoir au plus 100 caractères
                      <p>
                  </li>
                </ul>
              </div>
            </div>
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Prénom :
              </div>
              <div class="col-sm-8">
                <input type="text" formControlName="firstname" name="firstname" placeholder="Prénom">
                <ul class="myError" *ngIf="userForm.get('firstname').errors && (userForm.controls.firstname.dirty || userForm.controls.firstname.touched)">
                  <li *ngIf="userForm.get('firstname').errors['required']">
                    <p class="myError">Prénom requis</p>
                  </li>
                  <li *ngIf="userForm.get('firstname').errors['maxlength']">
                    <p class="myError">Le Prénom doit avoir au plus 50 caractères
                      <p>
                  </li>
                </ul>
              </div>
            </div>
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Nom :
              </div>
              <div class="col-sm-8">
                <input type="text" formControlName="lastname" name="lastname" placeholder="Nom">
                <ul class="myError" *ngIf="userForm.get('lastname').errors && (userForm.controls.lastname.dirty || userForm.controls.lastname.touched)">
                  <li *ngIf="userForm.get('lastname').errors['required']">
                    <p class="myError">Prenom requis</p>
                  </li>
                  <li *ngIf="userForm.get('lastname').errors['maxlength']">
                    <p class="myError">Le nom doit avoir au plus 1000 caractères
                      <p>
                  </li>
                </ul>
              </div>
            </div>
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Roles :
              </div>
              <div class="col-sm-8">
                <mat-form-field class="custom" *ngIf="isLoaded">
                  <mat-select placeholder="Roles" multiple formControlName="authorities">
                    <mat-option *ngFor="let authenum of authorities" [value]="authenum.value.name">
                      {{ authenum.name }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
            </div>
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Active :
              </div>
              <div class="col-sm-8">
                <select formControlName="enabled">
                  <option value="true">Oui</option>
                  <option value="false">Non</option>
                </select>
                <ul class="myError" *ngIf="userForm.get('enabled').errors && (userForm.controls.enabled.dirty || userForm.controls.enabled.touched)">
                  <li *ngIf="userForm.get('enabled').errors['required']">
                    <p class="myError">Status requis</p>
                  </li>
                </ul>
              </div>
            </div>
            <div class="text-center">
              <button [disabled]="!userForm.valid" class="myCustomButton primary" (click)="onSubmit()">Enregistrer</button>
              <button class="myCustomButton" (click)="onAnnuler()">Annuler</button>
            </div>
          </div>
        </div>
      </fieldset>
    </form>
  </div>
</div>